Get All configuration for tenant. - Fabric
Get All configuration for tenant
cURL
curl --request GET \
--url https://prod01.oms.fabric.inc/api/v2/configurations/tenant-config \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'
Python
import requests
url = "https://prod01.oms.fabric.inc/api/v2/configurations/tenant-config"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://prod01.oms.fabric.inc/api/v2/configurations/tenant-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/configurations/tenant-config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://prod01.oms.fabric.inc/api/v2/configurations/tenant-config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.get("https://prod01.oms.fabric.inc/api/v2/configurations/tenant-config")
.header("x-site-context", "<x-site-context>")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://prod01.oms.fabric.inc/api/v2/configurations/tenant-config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Response Codes
- 200: Successful response.
- 400: Bad Request.
- 404: Not Found.
- 500: Internal Server Error.
Example Response
{
"configName": "ENUM",
"objectValue": "SYSTEM",
"objectType": "SYSTEM",
"configType": "HOLD",
"tenantId": "erfvda5435234tgfdvsf"
}
{
"message": "Bad Request"
}
{
"message": "Not Found"
}
{
"message": "Internal Server Error"
}
Authorizations
Authorizationstring - requiredBearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
x-site-contextstring - required
The x-site-context header is a JSON object that must include an account identifier and can include other attributes such as channel, stage, and date to narrow the data source. Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Response
200: Configuration found and returned.
TenantConfigurationResponse Model
- configName:
string- Name of the configuration.- Example: `